//------------------------------------------------------------------------------
// <copyright company="Telligent Systems">
//     Copyright (c) Telligent Systems Corporation.  All rights reserved.
// </copyright> 
//------------------------------------------------------------------------------

using System;
using CommunityServer.Components;
using CommunityServer.ControlPanel.UI;
using CommunityServer.Mail.Common.Components;
using Telligent.Registration;

namespace CommunityServer.ControlPanel.Blogs
{
	/// <summary>
	/// Summary description for PostEditorPage.
	/// </summary>
	public class BlogByEmail : BaseBlogPage
	{

		private static readonly string scriptFormat = "<script type=\"text/javascript\">window.open('mailto:{0}');history.go(-1);</script>";

		private void Page_Load(object sender, EventArgs e)
		{
			if(CurrentWeblog != null)
			{
				if (CSContext.Current.SiteSettings.EnableMailGateway)
				{
					MailingList list = MailingLists.GetMailingList(CurrentWeblog.SectionID);
					if(list != null)
						Page.RegisterStartupScript("mailwindow", string.Format(scriptFormat, list.DetermineEmailAddress())  );
				}
			}
		}

		override protected void OnInit(EventArgs e)
		{
			this.Load += new EventHandler(this.Page_Load);
			base.OnInit(e);
		}

	}
}
